Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.calendar.schema
Class Id.Factory

    java.lang.Object
      com.bea.wli.calendar.schema.Id.Factory

Enclosing interface:
  Id

    public static final class Id.Factory

extends Object

A factory class with static methods for creating instances of this type.

Method Summary
`static Id` | `newInstance()`
`static Id` | `newInstance(XmlOptions options)`
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. `XMLInputStream`
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis, XmlOptions options)` Deprecated. `XMLInputStream`
`static Id` | `newValue(Object obj)`
`static Id` | `parse(File file)`
`static Id` | `parse(File file, XmlOptions options)`
`static Id` | `parse(InputStream is)`
`static Id` | `parse(InputStream is, XmlOptions options)`
`static Id` | `parse(Node node)`
`static Id` | `parse(Node node, XmlOptions options)`
`static Id` | `parse(Reader r)`
`static Id` | `parse(Reader r, XmlOptions options)`
`static Id` | `parse(String xmlAsString)`
`static Id` | `parse(String xmlAsString, XmlOptions options)`
`static Id` | `parse(URL u)`
`static Id` | `parse(URL u, XmlOptions options)`
`static Id` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. `XMLInputStream`
`static Id` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis, XmlOptions options)` Deprecated. `XMLInputStream`
`static Id` | `parse(javax.xml.stream.XMLStreamReader sr)`
`static Id` | `parse(javax.xml.stream.XMLStreamReader sr, XmlOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newValue

    public static Id newValue(Object obj)

### newInstance

    public static Id newInstance()

### newInstance

    public static Id newInstance(XmlOptions options)

### parse

    public static Id parse(String xmlAsString)
                    throws XmlException

  Parameters:
    `xmlAsString` - the string value to parse
  Throws:
    `XmlException`

### parse

    public static Id parse(String xmlAsString,
                           XmlOptions options)
                    throws XmlException

  Throws:
    `XmlException`

### parse

    public static Id parse(File file)
                    throws XmlException,
                           IOException

  Parameters:
    `file` - the file from which to load an xml document
  Throws:
    `XmlException`
    `IOException`

### parse

    public static Id parse(File file,
                           XmlOptions options)
                    throws XmlException,
                           IOException

  Throws:
    `XmlException`
    `IOException`

### parse

    public static Id parse(URL u)
                    throws XmlException,
                           IOException

  Throws:
    `XmlException`
    `IOException`

### parse

    public static Id parse(URL u,
                           XmlOptions options)
                    throws XmlException,
                           IOException

  Throws:
    `XmlException`
    `IOException`

### parse

    public static Id parse(InputStream is)
                    throws XmlException,
                           IOException

  Throws:
    `XmlException`
    `IOException`

### parse

    public static Id parse(InputStream is,
                           XmlOptions options)
                    throws XmlException,
                           IOException

  Throws:
    `XmlException`
    `IOException`

### parse

    public static Id parse(Reader r)
                    throws XmlException,
                           IOException

  Throws:
    `XmlException`
    `IOException`

### parse

    public static Id parse(Reader r,
                           XmlOptions options)
                    throws XmlException,
                           IOException

  Throws:
    `XmlException`
    `IOException`

### parse

    public static Id parse(javax.xml.stream.XMLStreamReader sr)
                    throws XmlException

  Throws:
    `XmlException`

### parse

    public static Id parse(javax.xml.stream.XMLStreamReader sr,
                           XmlOptions options)
                    throws XmlException

  Throws:
    `XmlException`

### parse

    public static Id parse(Node node)
                    throws XmlException

  Throws:
    `XmlException`

### parse

    public static Id parse(Node node,
                           XmlOptions options)
                    throws XmlException

  Throws:
    `XmlException`

### parse

    public static Id parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                    throws XmlException,
                           org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### parse

    public static Id parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                           XmlOptions options)
                    throws XmlException,
                           org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                                                                     throws XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                                                                            XmlOptions options)
                                                                                     throws XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD